## khronos-opencl-headers 3.0~2023.12.14

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
cmake_policy(VERSION 3.0...3.22)

# Include guard for including this project multiple times
if(TARGET Headers)
  return()
endif()

project(OpenCLHeaders
  VERSION 2.2
  LANGUAGES C # Ideally should be NONE, but GNUInstallDirs detects platform arch using try_compile
  # https://stackoverflow.com/questions/43379311/why-does-project-affect-cmakes-opinion-on-cmake-sizeof-void-p
)

option(OPENCL_HEADERS_BUILD_TESTING "Enable support for OpenCL C headers testing." OFF)
option(OPENCL_HEADERS_BUILD_CXX_TESTS "Enable support for OpenCL C headers testing in C++ mode." ON)

set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
include(JoinPaths)

include(GNUInstallDirs)

add_library(Headers INTERFACE)
add_library(OpenCL::Headers ALIAS Headers)

if(CMAKE_SYSTEM_NAME MATCHES Darwin)
  execute_process(
    COMMAND ln -snf ${CMAKE_CURRENT_SOURCE_DIR}/CL ${CMAKE_CURRENT_BINARY_DIR}/CL
    COMMAND ln -snf ${CMAKE_CURRENT_SOURCE_DIR}/CL ${CMAKE_CURRENT_BINARY_DIR}/OpenCL
  )
  target_include_directories(Headers
    INTERFACE
      $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
      $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
  )
  install(CODE "
    file(MAKE_DIRECTORY  ${CMAKE_INSTALL_FULL_INCLUDEDIR}/CL)
    execute_process(
      COMMAND ln -snf CL ${CMAKE_INSTALL_FULL_INCLUDEDIR}/OpenCL
    )"
  )
else()
  target_include_directories(Headers
    INTERFACE
      $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
      $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
  )
endif()

install(
  TARGETS Headers
  EXPORT OpenCLHeadersTargets
)
install(
  DIRECTORY CL
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
)

export(
  EXPORT OpenCLHeadersTargets
  FILE ${PROJECT_BINARY_DIR}/OpenCLHeaders/OpenCLHeadersTargets.cmake
  NAMESPACE OpenCL::
)
file(
  WRITE ${PROJECT_BINARY_DIR}/OpenCLHeaders/OpenCLHeadersConfig.cmake
  "include(\"\${CMAKE_CURRENT_LIST_DIR}/OpenCLHeadersTargets.cmake\")"
)

set(config_package_location ${CMAKE_INSTALL_DATADIR}/cmake/OpenCLHeaders)
install(
  EXPORT OpenCLHeadersTargets
  FILE OpenCLHeadersTargets.cmake
  NAMESPACE OpenCL::
  DESTINATION ${config_package_location}
)
install(
  FILES ${CMAKE_CURRENT_BINARY_DIR}/OpenCLHeaders/OpenCLHeadersConfig.cmake
  DESTINATION ${config_package_location}
)

unset(CMAKE_SIZEOF_VOID_P)
include(CMakePackageConfigHelpers)
write_basic_package_version_file(
  ${CMAKE_CURRENT_BINARY_DIR}/OpenCLHeaders/OpenCLHeadersConfigVersion.cmake
  VERSION ${PROJECT_VERSION}
  COMPATIBILITY AnyNewerVersion
)
install(
  FILES ${CMAKE_CURRENT_BINARY_DIR}/OpenCLHeaders/OpenCLHeadersConfigVersion.cmake
  DESTINATION ${config_package_location}
)

if(CMAKE_PROJECT_NAME STREQUAL PROJECT_NAME OR OPENCL_HEADERS_BUILD_TESTING)
  include(CTest)
endif()
if((CMAKE_PROJECT_NAME STREQUAL PROJECT_NAME OR OPENCL_HEADERS_BUILD_TESTING) AND BUILD_TESTING)
  add_subdirectory(tests)
endif()

if(CMAKE_PROJECT_NAME STREQUAL PROJECT_NAME)
    find_package(Python3 COMPONENTS Interpreter)
    set(OPENCL_HEADERS_XML_PATH CACHE FILEPATH "Path to cl.xml for OpenCL Header genereration")
    set(OPENCL_HEADERS_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/generated)
    add_custom_target(headers_generate
        COMMAND ${CMAKE_COMMAND} -E make_directory ${OPENCL_HEADERS_OUTPUT_DIRECTORY}
        COMMAND ${CMAKE_COMMAND} -E chdir ${CMAKE_CURRENT_SOURCE_DIR}/scripts
            ${Python3_EXECUTABLE} gen_headers.py
            -registry ${OPENCL_HEADERS_XML_PATH}
            -o ${OPENCL_HEADERS_OUTPUT_DIRECTORY}
    )
    add_custom_target(headers_copy
        COMMAND ${CMAKE_COMMAND} -E copy
            ${OPENCL_HEADERS_OUTPUT_DIRECTORY}/cl_d3d10.h
            ${CMAKE_CURRENT_SOURCE_DIR}/CL
        COMMAND ${CMAKE_COMMAND} -E copy
            ${OPENCL_HEADERS_OUTPUT_DIRECTORY}/cl_d3d11.h
            ${CMAKE_CURRENT_SOURCE_DIR}/CL
        COMMAND ${CMAKE_COMMAND} -E copy
            ${OPENCL_HEADERS_OUTPUT_DIRECTORY}/cl_dx9_media_sharing.h
            ${CMAKE_CURRENT_SOURCE_DIR}/CL
        COMMAND ${CMAKE_COMMAND} -E copy
            ${OPENCL_HEADERS_OUTPUT_DIRECTORY}/cl_egl.h
            ${CMAKE_CURRENT_SOURCE_DIR}/CL
        COMMAND ${CMAKE_COMMAND} -E copy
            ${OPENCL_HEADERS_OUTPUT_DIRECTORY}/cl_ext.h
            ${CMAKE_CURRENT_SOURCE_DIR}/CL
        COMMAND ${CMAKE_COMMAND} -E copy
            ${OPENCL_HEADERS_OUTPUT_DIRECTORY}/cl_gl.h
            ${CMAKE_CURRENT_SOURCE_DIR}/CL
        COMMAND ${CMAKE_COMMAND} -E copy
            ${OPENCL_HEADERS_OUTPUT_DIRECTORY}/cl_layer.h
            ${CMAKE_CURRENT_SOURCE_DIR}/CL
        COMMAND ${CMAKE_COMMAND} -E copy
            ${OPENCL_HEADERS_OUTPUT_DIRECTORY}/cl_va_api_media_sharing_intel.h
            ${CMAKE_CURRENT_SOURCE_DIR}/CL
        COMMAND ${CMAKE_COMMAND} -E copy
            ${OPENCL_HEADERS_OUTPUT_DIRECTORY}/cl_function_types.h
            ${CMAKE_CURRENT_SOURCE_DIR}/CL
    )
    set_target_properties(headers_generate PROPERTIES FOLDER "Generation")
    set_target_properties(headers_copy PROPERTIES FOLDER "Generation")
endif()

join_paths(OPENCL_INCLUDEDIR_PC "\${prefix}" "${CMAKE_INSTALL_INCLUDEDIR}")

configure_file(OpenCL-Headers.pc.in OpenCL-Headers.pc @ONLY)
set(pkg_config_location ${CMAKE_INSTALL_DATADIR}/pkgconfig)
install(
  FILES ${CMAKE_CURRENT_BINARY_DIR}/OpenCL-Headers.pc
  DESTINATION ${pkg_config_location})

=== debian/changelog ===
khronos-opencl-headers (3.0~2023.12.14-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 02 Jan 2024 15:01:19 +0100

## khronos-opencl-headers 3.0~2024.05.08

=== debian/changelog ===
khronos-opencl-headers (3.0~2024.05.08-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.0 (no changes needed).

 -- Andreas Beckmann <anbe@debian.org>  Mon, 03 Jun 2024 13:59:39 +0200

=== debian/control ===
Source: khronos-opencl-headers
Maintainer: Debian OpenCL Maintainers <pkg-opencl-devel@lists.alioth.debian.org>
Uploaders: Andreas Beckmann <anbe@debian.org>,
           Vincent Danjean <vdanjean@debian.org>
Section: libdevel
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 cmake,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/opencl-team/khronos-opencl-headers
Vcs-Git: https://salsa.debian.org/opencl-team/khronos-opencl-headers.git
Homepage: https://www.khronos.org/registry/cl/

Package: opencl-c-headers
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: opencl-headers (<< 2.1), opencl-clhpp-headers (<< 3.0~2.0.14)
Replaces: opencl-headers (<< 2.1)
Description: OpenCL (Open Computing Language) C header files
 OpenCL (Open Computing Language) is a multi-vendor open standard for
 general-purpose parallel programming of heterogeneous systems that include
 CPUs, GPUs and other processors.
 .
 This package provides the C development header files for the OpenCL API
 as published by The Khronos Group Inc.  The corresponding specification and
 documentation can be found on the Khronos website.

Package: opencl-headers
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         opencl-c-headers (= ${source:Version}),
         opencl-clhpp-headers (>= 2.0.10)
Description: OpenCL (Open Computing Language) header files
 OpenCL (Open Computing Language) is a multi-vendor open standard for
 general-purpose parallel programming of heterogeneous systems that include
 CPUs, GPUs and other processors.
 .
 This metapackage depends on packages providing the C and C++ headers files
 for the OpenCL API as published by The Khronos Group Inc.  The corresponding
 specification and documentation can be found on the Khronos website.

## khronos-opencl-headers 3.0~2024.10.24

=== scripts/requirements.txt ===
Mako>=1.2.2

=== tests/lang_c/CMakeLists.txt ===
# Tests
add_header_test(cl_h test_cl.h.c)
add_header_test(cl_d3d10_h test_cl_d3d10.h.c)
add_header_test(cl_d3d11_h test_cl_d3d11.h.c)
add_header_test(cl_dx9_media_sharing_h test_cl_dx9_media_sharing.h.c)
add_header_test(cl_dx9_media_sharing_intel_h test_cl_dx9_media_sharing.h.c)
add_header_test(cl_egl_h test_cl_egl.h.c)
add_header_test(cl_ext_h test_cl_ext.h.c)
add_header_test(cl_ext_intel_h test_cl_ext_intel.h.c)
add_header_test(cl_gl_h test_cl_gl.h.c)
add_header_test(cl_gl_ext_h test_cl_gl_ext.h.c)
add_header_test(cl_half_h test_cl_half.h.c)
add_header_test(cl_icd_h test_cl_icd.h.c)
add_header_test(cl_layer_h test_cl_layer.h.c)
add_header_test(cl_platform_h test_cl_platform.h.c)
add_header_test(cl_opencl_h test_opencl.h.c)
add_header_test(cl_version_h test_cl_version.h.c)
add_header_test(headers test_headers.c)
add_header_test(ext_headers test_ext_headers.c)

=== debian/changelog ===
khronos-opencl-headers (3.0~2024.10.24-2) unstable; urgency=medium

  * Bump opencl-clhpp-headers breaks due to updated extensions.
  * Add autopkgtest compiling opencl-clhpp-headers.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 27 Nov 2024 12:55:28 +0100

khronos-opencl-headers (3.0~2024.10.24-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 21 Nov 2024 03:34:02 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,9 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Breaks: opencl-headers (<< 2.1), opencl-clhpp-headers (<< 3.0~2.0.14)
+Breaks:
+ opencl-headers (<< 2.1),
+ opencl-clhpp-headers (<< 3.0~2024.10.24),
 Replaces: opencl-headers (<< 2.1)
 Description: OpenCL (Open Computing Language) C header files
  OpenCL (Open Computing Language) is a multi-vendor open standard for
@@ -25,7 +27,7 @@
  CPUs, GPUs and other processors.
  .
  This package provides the C development header files for the OpenCL API
- as published by The Khronos Group Inc.  The corresponding specification and
+ as published by The Khronos Group Inc. The corresponding specification and
  documentation can be found on the Khronos website.
 
 Package: opencl-headers
@@ -40,5 +42,5 @@
  CPUs, GPUs and other processors.
  .
  This metapackage depends on packages providing the C and C++ headers files
- for the OpenCL API as published by The Khronos Group Inc.  The corresponding
+ for the OpenCL API as published by The Khronos Group Inc. The corresponding
  specification and documentation can be found on the Khronos website.

=== debian/tests/control ===
Tests: compile-headers
Depends:
 opencl-c-headers,
 g++,
 libva-dev,
Restrictions:
 superficial,
 allow-stderr,

Tests: compile-clhpp-headers
Depends:
 opencl-clhpp-headers,
 g++,
Restrictions:
 superficial,
 allow-stderr,

Tests: upstream-testsuite
Depends:
 opencl-c-headers,
 cmake,
 g++,
 make,
Restrictions:
 allow-stderr,

## khronos-opencl-headers 3.0~2025.07.22

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,4 @@
-cmake_minimum_required(VERSION 3.0)
-cmake_policy(VERSION 3.0...3.22)
+cmake_minimum_required(VERSION 3.16...3.26)
 
 # Include guard for including this project multiple times
 if(TARGET Headers)
@@ -7,7 +6,7 @@
 endif()
 
 project(OpenCLHeaders
-  VERSION 2.2
+  VERSION 3.0
   LANGUAGES C # Ideally should be NONE, but GNUInstallDirs detects platform arch using try_compile
   # https://stackoverflow.com/questions/43379311/why-does-project-affect-cmakes-opinion-on-cmake-sizeof-void-p
 )
@@ -16,9 +15,9 @@
 option(OPENCL_HEADERS_BUILD_CXX_TESTS "Enable support for OpenCL C headers testing in C++ mode." ON)
 
 set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
+include(GNUInstallDirs)
 include(JoinPaths)
-
-include(GNUInstallDirs)
+include(Package)
 
 add_library(Headers INTERFACE)
 add_library(OpenCL::Headers ALIAS Headers)
@@ -140,11 +139,3 @@
     set_target_properties(headers_generate PROPERTIES FOLDER "Generation")
     set_target_properties(headers_copy PROPERTIES FOLDER "Generation")
 endif()
-
-join_paths(OPENCL_INCLUDEDIR_PC "\${prefix}" "${CMAKE_INSTALL_INCLUDEDIR}")
-
-configure_file(OpenCL-Headers.pc.in OpenCL-Headers.pc @ONLY)
-set(pkg_config_location ${CMAKE_INSTALL_DATADIR}/pkgconfig)
-install(
-  FILES ${CMAKE_CURRENT_BINARY_DIR}/OpenCL-Headers.pc
-  DESTINATION ${pkg_config_location})

=== tests/CMakeLists.txt ===
if(NOT DEFINED CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()
if(NOT DEFINED CMAKE_C_STANDARD_REQUIRED)
  set(CMAKE_C_STANDARD_REQUIRED ON)
endif()
if(NOT DEFINED CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
endif()
if(NOT DEFINED CMAKE_CXX_STANDARD_REQUIRED)
  set(CMAKE_CXX_STANDARD_REQUIRED ON)
endif()


# Add a test for a given source file for each version of OpenCL
function(add_header_test NAME SOURCE)
  # Some headers include system files which require anonymous structs
  # so we cannot test them with /Za:
  set(TEST_SKIP_ANSI_TESTING
    cl_d3d10_h cl_d3d11_h cl_dx9_media_sharing_h cl_dx9_media_sharing_intel_h cl_icd_h cl_layer_h)
  get_filename_component(LANG_DIR "${CMAKE_CURRENT_SOURCE_DIR}" NAME)
  if(LANG_DIR MATCHES cpp)
    set(CPP_SOURCE_PATH "${CMAKE_CURRENT_BINARY_DIR}/${SOURCE}pp")
    file(RELATIVE_PATH REL_SOURCE_PATH "${CMAKE_CURRENT_BINARY_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/../${SOURCE}")
    file(TO_NATIVE_PATH "${REL_SOURCE_PATH}" NATIVE_SOURCE_PATH)
    file(WRITE
      "${CPP_SOURCE_PATH}"
      "#include \"${NATIVE_SOURCE_PATH}\"\n"
    )
    set(SOURCE_PATH "${CPP_SOURCE_PATH}")
    set(LANG cpp)
  else()
    set(SOURCE_PATH "../${SOURCE}")
    set(LANG c)
  endif()
  foreach(VERSION 100 110 120 200 210 220 300)
    foreach(OPTION "" CL_ENABLE_BETA_EXTENSIONS)
      if(OPTION STREQUAL "")
        # The empty string means we're not setting any special option.
        set(UNDERSCORE_OPTION "${OPTION}")
        set(DEFINE_OPTION "")
      elseif(VERSION EQUAL 300)
        # Only test special options for OpenCL 3.0.
        set(UNDERSCORE_OPTION "_${OPTION}")
        set(DEFINE_OPTION "-D${OPTION}")
      else()
        continue()
      endif()
      set(TEST_EXE ${NAME}_${LANG}_${VERSION}${UNDERSCORE_OPTION})
      list(FIND TEST_SKIP_ANSI_TESTING ${NAME} TEST_SKIP_INDEX)
      if(NOT (${TEST_SKIP_INDEX} GREATER -1 AND MSVC AND CMAKE_C_FLAGS MATCHES "/Za"))
        add_executable(${TEST_EXE} "${SOURCE_PATH}")
        target_compile_definitions(${TEST_EXE}
          PUBLIC -DCL_TARGET_OPENCL_VERSION=${VERSION} ${DEFINE_OPTION}
        )
        target_include_directories(${TEST_EXE}
          PUBLIC ${PROJECT_SOURCE_DIR}
        )
        add_test(NAME ${TEST_EXE} COMMAND ${TEST_EXE})
      endif()
    endforeach(OPTION)
  endforeach(VERSION)
endfunction(add_header_test)

add_subdirectory(lang_c)
if(OPENCL_HEADERS_BUILD_CXX_TESTS)
  enable_language(CXX)
  add_subdirectory(lang_cpp)
endif()

=== tests/lang_cpp/CMakeLists.txt ===
# Tests
add_header_test(cl_h test_cl.h.c)
add_header_test(cl_d3d10_h test_cl_d3d10.h.c)
add_header_test(cl_d3d11_h test_cl_d3d11.h.c)
add_header_test(cl_dx9_media_sharing_h test_cl_dx9_media_sharing.h.c)
add_header_test(cl_dx9_media_sharing_intel_h test_cl_dx9_media_sharing.h.c)
add_header_test(cl_egl_h test_cl_egl.h.c)
add_header_test(cl_ext_h test_cl_ext.h.c)
add_header_test(cl_ext_intel_h test_cl_ext_intel.h.c)
add_header_test(cl_gl_h test_cl_gl.h.c)
add_header_test(cl_gl_ext_h test_cl_gl_ext.h.c)
add_header_test(cl_half_h test_cl_half.h.c)
add_header_test(cl_icd_h test_cl_icd.h.c)
add_header_test(cl_layer_h test_cl_layer.h.c)
add_header_test(cl_platform_h test_cl_platform.h.c)
add_header_test(cl_opencl_h test_opencl.h.c)
add_header_test(cl_version_h test_cl_version.h.c)
add_header_test(ext_headers test_ext_headers.c)

=== tests/pkgconfig/sdk/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(PkgConfigTest
  LANGUAGES C
)

find_package(OpenCL
  REQUIRED
  CONFIG
  COMPONENTS Headers
)

add_executable(${PROJECT_NAME}
  ../pkgconfig.c
)

target_link_libraries(${PROJECT_NAME}
  OpenCL::Headers
)

target_compile_definitions(${PROJECT_NAME}
  PRIVATE
    CL_TARGET_OPENCL_VERSION=120
)

include(CTest)

add_test(
  NAME ${PROJECT_NAME}
  COMMAND ${PROJECT_NAME}
)

=== debian/changelog ===
khronos-opencl-headers (3.0~2025.07.22-2) unstable; urgency=medium

  * autopkgtest: Call cmake_minimum_required().  (Closes: #1116509)
  * Drop redundant Rules-Requires-Root: no.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 29 Sep 2025 00:38:07 +0200

khronos-opencl-headers (3.0~2025.07.22-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2 (no changes needed).

 -- Andreas Beckmann <anbe@debian.org>  Tue, 12 Aug 2025 13:41:28 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  cmake,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/opencl-team/khronos-opencl-headers
 Vcs-Git: https://salsa.debian.org/opencl-team/khronos-opencl-headers.git
 Homepage: https://www.khronos.org/registry/cl/

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_TESTING=ON

execute_after_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C debian/t
endif

execute_after_dh_auto_clean:
	$(MAKE) -C debian/t clean


ifneq (,$(wildcard .git))
khronos:
	git remote show $@ >/dev/null 2>&1 || git remote add $@ $(shell sed -rn 's/Repository: //p' debian/upstream/metadata)
	git fetch $@ --prune

UPSTREAM	 = $(subst ., ,$(subst -, ,$(subst ~, ,$(DEB_VERSION_UPSTREAM))))
MAJOR		?= $(word 1,$(UPSTREAM))
MINOR		?= $(word 2,$(UPSTREAM))

tarball: COMMIT ?= khronos/master
tarball: COMMIT_TIME = $(shell git log --format=format:%ct -1 $(COMMIT))
tarball: COMMIT_DATE = $(shell git log --format=format:%cd --date=format:%Y.%m.%d -1 $(COMMIT))
tarball: PREFIX = khronos-opencl-headers-$(MAJOR).$(MINOR)~$(COMMIT_DATE)-g$(shell git describe --always $(COMMIT))
tarball:
	test -n "$(COMMIT)"
	git archive --prefix $(PREFIX)/ $(COMMIT) | xz > $(PREFIX).tar.xz
	touch -d @$(COMMIT_TIME) $(PREFIX).tar.xz
endif

=== debian/watch ===
version=4
opts="dversionmangle=s/^\d[\d.]*~//, filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
    https://github.com/KhronosGroup/OpenCL-Headers/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
